## NMDeviceWimax

NMDeviceWimax

## Functions

const char * | nm_device_wimax_get_hw_address ()
NMWimaxNsp * | nm_device_wimax_get_active_nsp ()
NMWimaxNsp * | nm_device_wimax_get_nsp_by_path ()
const GPtrArray * | nm_device_wimax_get_nsps ()
guint | nm_device_wimax_get_center_frequency ()
int | nm_device_wimax_get_rssi ()
int | nm_device_wimax_get_cinr ()
int | nm_device_wimax_get_tx_power ()
const char * | nm_device_wimax_get_bsid ()

## Types and Values

#define | NM_DEVICE_WIMAX_HW_ADDRESS
#define | NM_DEVICE_WIMAX_ACTIVE_NSP
#define | NM_DEVICE_WIMAX_CENTER_FREQUENCY
#define | NM_DEVICE_WIMAX_RSSI
#define | NM_DEVICE_WIMAX_CINR
#define | NM_DEVICE_WIMAX_TX_POWER
#define | NM_DEVICE_WIMAX_BSID
#define | NM_DEVICE_WIMAX_NSPS

## Description

## Functions

### nm_device_wimax_get_hw_address ()

    const char *
    nm_device_wimax_get_hw_address (NMDeviceWimax *wimax);

`nm_device_wimax_get_hw_address` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the hardware (MAC) address of the NMDeviceWimax

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_wimax_get_active_nsp ()

    NMWimaxNsp *
    nm_device_wimax_get_active_nsp (NMDeviceWimax *wimax);

`nm_device_wimax_get_active_nsp` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the active NMWimaxNsp.

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

the access point or `NULL` if none is active.

[transfer full]

### nm_device_wimax_get_nsp_by_path ()

    NMWimaxNsp *
    nm_device_wimax_get_nsp_by_path (NMDeviceWimax *wimax,
                                     const char *path);

`nm_device_wimax_get_nsp_by_path` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets a NMWimaxNsp by path.

#### Parameters

wimax | a NMDeviceWimax |
path | the object path of the NSP |

#### Returns

the access point or `NULL` if none is found.

[transfer none]

### nm_device_wimax_get_nsps ()

    const GPtrArray *
    nm_device_wimax_get_nsps (NMDeviceWimax *wimax);

`nm_device_wimax_get_nsps` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets all the scanned NSPs of the NMDeviceWimax.

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

a GPtrArray containing all the scanned NMWimaxNsps. The returned array is owned by the client and should not be modified.

[element-type NMWimaxNsp]

### nm_device_wimax_get_center_frequency ()

    guint
    nm_device_wimax_get_center_frequency (NMDeviceWimax *self);

`nm_device_wimax_get_center_frequency` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the center frequency (in KHz) of the radio channel the device is using to communicate with the network when connected. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the center frequency in KHz, or 0

### nm_device_wimax_get_rssi ()

    int
    nm_device_wimax_get_rssi (NMDeviceWimax *self);

`nm_device_wimax_get_rssi` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the RSSI of the current radio link in dBm. This value indicates how strong the raw received RF signal from the base station is, but does not indicate the overall quality of the radio link. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the RSSI in dBm, or 0

### nm_device_wimax_get_cinr ()

    int
    nm_device_wimax_get_cinr (NMDeviceWimax *self);

`nm_device_wimax_get_cinr` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the CINR (Carrier to Interference + Noise Ratio) of the current radio link in dB. CINR is a more accurate measure of radio link quality. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the CINR in dB, or 0

### nm_device_wimax_get_tx_power ()

    int
    nm_device_wimax_get_tx_power (NMDeviceWimax *self);

`nm_device_wimax_get_tx_power` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Average power of the last burst transmitted by the device, in units of 0.5 dBm. i.e. a TxPower of -11 represents an actual device TX power of -5.5 dBm. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the TX power in dBm, or 0

### nm_device_wimax_get_bsid ()

    const char *
    nm_device_wimax_get_bsid (NMDeviceWimax *self);

`nm_device_wimax_get_bsid` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Gets the ID of the serving Base Station when the device is connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the ID of the serving Base Station, or `NULL`

## Types and Values

### NM_DEVICE_WIMAX_HW_ADDRESS

    #define NM_DEVICE_WIMAX_HW_ADDRESS       "hw-address"

### NM_DEVICE_WIMAX_ACTIVE_NSP

    #define NM_DEVICE_WIMAX_ACTIVE_NSP       "active-nsp"

### NM_DEVICE_WIMAX_CENTER_FREQUENCY

    #define NM_DEVICE_WIMAX_CENTER_FREQUENCY "center-frequency"

### NM_DEVICE_WIMAX_RSSI

    #define NM_DEVICE_WIMAX_RSSI             "rssi"

### NM_DEVICE_WIMAX_CINR

    #define NM_DEVICE_WIMAX_CINR             "cinr"

### NM_DEVICE_WIMAX_TX_POWER

    #define NM_DEVICE_WIMAX_TX_POWER         "tx-power"

### NM_DEVICE_WIMAX_BSID

    #define NM_DEVICE_WIMAX_BSID             "bsid"

### NM_DEVICE_WIMAX_NSPS

    #define NM_DEVICE_WIMAX_NSPS             "nsps"